package cn.com.ctop.common.module.utils;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 *  Created by JQ.bi on 2020.6.10
 */
public class CtopMediaTypeUtil {

    /**
     *  获取全部媒体类型
     */
    public static List<Map<String,Object>>  getMediaTypeAll(){

        List<Map<String,Object>> mediaType= new ArrayList<>();
        Map<String,Object> byteDance= new HashMap<>();
        byteDance.put("code","PLATFORM_TYPE_BYTEDANCE");
        byteDance.put("num",1);
        byteDance.put("name","头条");
        Map<String,Object> kuaiShou= new HashMap<>();
        kuaiShou.put("code","PLATFORM_TYPE_KUAISHOU");
        kuaiShou.put("num",2);
        kuaiShou.put("name","快手");
/*        Map<String,Object> byteDanceInside= new HashMap<>();
        byteDanceInside.put("code","PLATFORM_TYPE_BYTEDANCE_INSIDE");
        byteDanceInside.put("num",3);
        byteDanceInside.put("name","头条内广");
        Map<String,Object> kuaiShouInside= new HashMap<>();
        kuaiShouInside.put("code","PLATFORM_TYPE_KUAISHOU_INSIDE");
        kuaiShouInside.put("num",4);
        kuaiShouInside.put("name","快手内广");*/
        mediaType.add(byteDance);
        //mediaType.add(byteDanceInside);
        mediaType.add(kuaiShou);
        //mediaType.add(kuaiShouInside);

        return mediaType;
    }
}
